'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var button_module = require('./button.module.scss.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var selector = 'ds-button';
var DsButton = function (props) {
    var classesArray = (selector + "," + selector + "--" + (props.variant || 'primary') + "," + selector + "--" + (props.size || 'medium')).split(',');
    var classNames = classesArray.map(function (n) { return button_module[n]; }).toString().replace(/,/g, ' ');
    return React__default["default"].createElement("button", { onClick: props.onClick, className: classNames, disabled: props.disabled }, props.label);
};

exports.DsButton = DsButton;
//# sourceMappingURL=button2.js.map
